Subject: Re: remove unnecessary include in src/backend/commands/policy.c

From: Kirill Reshke <[email-masked]>
Date: Sun, 4 Jan 2026 00:47:23 +0500

On Fri, 26 Dec 2025 at 14:29, Japin Li <[email-masked]> wrote:
>
>
> Hi, Shinya
>
> On Fri, 26 Dec 2025 at 16:30, Shinya Kato <[email-masked]> wrote:
> > On Wed, Oct 22, 2025 at 3:30 PM Shinya Kato <[email-masked]> wrote:
> >> Thank you for updating the patch.
> >> But I said "except for access/relation.h". I think access/relation.h
> >> is not necessary if you replace relation_open to table_open.
> >
> > I've fixed it, and marked the patch as Ready for Committer.
> >
>
> Found a typo in the commit message.
>
> > RangeVarCallbackForPolicy already ensures policies apply only to tables
> > or partitioned tables, so table_* isthe appropriate API for
> > opening/closing the target relation.
>
> s/isthe/is the/
>
>
> --
> Regards,
> Japin Li
> ChengDu WenWu Information Technology Co., Ltd.
>
>

Hi hackers!

We also can reflect that our new coding practice is to use table/index
open over relation_open in the commit message (I guess so after[0]).

Overall LGTM.

[0] https://git.postgresql.org/cgit/postgresql.git/commit/?id=9d0f7996e58c2a92efe06c901c6dfe1f6ced0a1d

-- 
Best regards,
Kirill Reshke